Get product
Returns full product details including variants, options, and categories.
GET
https://api.pandabase.io/v2/storefront/stores/{storeId}/products/{productId} Path parameters
storeId string required Store ID (shp_ prefix)
productId string required Product ID (prd_ prefix)
Response 200
Product details
ok boolean required No description.
No description.
Response 404
Error response
ok boolean required No description.
error string required Error message
Request
curl -X GET https://api.pandabase.io/v2/storefront/stores/:storeId/products/:productIdResponse
{ "ok": true, "data": { "id": "string", "title": "string", "subtitle": "string", "description": "string", "handle": "string", "price": 0, "compareAtPrice": 0, "images": [ "string" ], "inStock": true, "currency": "string", "productType": "SERIAL", "message": "string", "pricingModel": "STANDARD", "status": "ACTIVE", "minimumPrice": 0, "maxPerCustomer": 0, "fulfillmentMode": "MANAGED_LICENSE", "availableFrom": "2024-01-01T00:00:00Z", "availableUntil": "2024-01-01T00:00:00Z", "billingInterval": "WEEKLY", "billingAnchor": 0, "trialDays": 0, "options": [ { "id": "string", "name": "string", "values": [ "string" ], "position": 0 } ], "variants": [ { "id": "string", "title": "string", "slug": "string", "description": "string", "sku": "string", "options": {}, "price": 0, "compareAtPrice": 0, "images": [ "string" ], "inStock": true, "quantity": 0, "trackStock": true, "position": 0 } ], "categories": [ { "id": "string", "name": "string", "slug": "string" } ] }}